#### COMMENT

#### Synopsis

    HELP:   Comment for the member in the FLAMFILE [internal use]
    TYPE:   STRING
    SYNTAX: COMMENT/COMM/LABEL='str'

#### Description

With the parameter comment/label comments can be made and will be stored in the user header of the FLAMFILE during compression. These data are protocolled during decompression (z/OS and WINDOWS only).

Comments in ASCII in the FLAMFILE are translated to EBCDIC for the output message with the internal A/E translation table during decompression. Entering a TRANSLATE parameter causes FLAM to use this table. Nondisplaying characters are visualized by dots '.'.
The FKMS uses the USER header itself. If key management is called by parameter KMEXIT, additional data is stored as comment in the FLAMFILE during encryption, sent to the exit for decryption (please, don't use the parameters `COMMENT` and `KMEXIT` at the same time!).

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `COMMENT=string`
  - `COMM=string`
- WINDOWS
  - `label=string`
  - `la=string`

Values

- z/OS
  - 1 - 256 characters starting with A'...', C'...', X'...' or a string. Using A'..' all characters are translated to ASCII with the internal translation table A/E (ch. A).
- WINDOWS
  - string

Default

- No comment

Valid for

- compression